<div style="margin-top: 20px">
    <div class="container">
      <div class="row">
        <div style="margin-bottom: 10px"></div>
        <p-tabView>
          <br />
          <h5>
            <span> &nbsp; Approval LHP</span>
          </h5>
          
          <p-tabPanel header="New">
            <jhi-tab-approval-lhp         
            [idStatusType]="10">
            </jhi-tab-approval-lhp>
          </p-tabPanel>
         <p-tabPanel header="Approved">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert LHP Number"
                />
            
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="search(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />
  
          <p-dataTable
              [value]="joborders"
              [(selection)]="selected"
              [editable]="true"
              [rows]="itemsPerPage"
              [headerCheckboxToggleAllPages]="true"
              [paginator]="true"
              [pageLinks]="5"
              [rowsPerPageOptions]="[10, 15, 20]"
              [totalRecords]="totalItems"
              [responsive]="true"
              [lazy]="true"
              [(first)]="first"
              row="itemsPerPage"
              totalRecords="totalItems"
              dataKey="no_periksa"
              expandableRows="false"
              rowHover="true"
              (onLazyLoad)="loadDataLazy($event)"
            >
              <p-header> </p-header>
              <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                  <ng-template let-rowIndex="rowIndex" pTemplate="body">
                      {{rowIndex + 1}}
                  </ng-template>
              </p-column>
              <p-column header="Nomor LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_periksa}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_masuk | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pemeriksa">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nm_pemeriksa}}
                </ng-template>
            </p-column>
            <p-column header="Nomor BBM / PPLPM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bbm}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal BBM / PPLPM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bbm | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="No PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_po}}
                </ng-template>
            </p-column>
            <p-column header="Supplier / Divisi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kd_suppnew}} - {{rowData.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Nomor SJ Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_sj_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal SJ Supplier / Pemeriksaan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_sj_supplier | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Dibuat Oleh">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
            <p-column header="Menyetujui">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.approval}}
                </ng-template>
            </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="lihatPO(rowData)" 
                    icon="fa-eye" pTooltip="Preview Detail LHP"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
          </p-dataTable>
        </p-tabPanel>
  
        </p-tabView>
      </div>
    </div>
  </div>
  <div style="margin-top: 10px"></div>
  <p-dialog header="Detail LHP" [(visible)]="modalLihatBBM1" modal="true" [width]="1000" (onHide)="backapp()">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailLHP" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_lhp" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_bahan}} - {{rowData.nmbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Masuk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_trm}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Rilis">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_rls}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Tolak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_tlk}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exp | date:'dd/MM/yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Halal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exphal | date:'dd/MM/yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Status">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.hasil}}
                    </ng-template>
                </p-column>
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>

<p-dialog header="Detail LHP" [(visible)]="modalLihatBBM2" modal="true" [width]="1000" (onHide)="backapp()">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailLHP" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_lhp" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No Periksa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_periksa}}
                    </ng-template>
                </p-column>
                <p-column header="Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                       {{rowData.nmbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Masuk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_trm}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Rilis">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_rls}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Tolak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_tlk}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Hasil">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.hasil}}
                    </ng-template>
                </p-column>
                <p-column header="No Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column> 
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
  <p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>
  